MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Operators > Shape >

# Shape_Instance : Helper

    Shape_Instance - superclass: helper super-superclass:node - classID: #(1962490639, 515064320)

Value > MAXWrapper > Node > Helper > Shape_Instance

| Particle Flow - Quick Navigation

Description:

Shape_Instance lets you use any geometry object in the scene as particles. You can effectively define only one particle shape per event, but using tests you can split the particle stream into any number of branches and define a different particle shape for each. You can also use combined objects as particle geometry and specify that Particle Flow is to use a separate member of the group for each particle.

Constructor:

    Shape_Instance...

Properties:

    <Shape_Instance>.Group_Members Boolean default:false

When set to True, group members are treated as separate particles.

    <Shape_Instance>.Object_And_Children Boolean default:false

When set to True, linked objects are treated as separate particles.

    <Shape_Instance>.Object_Elements Boolean default:false

When set to True, element sub-objects of a single mesh object are treated as separate particles.

    <Shape_Instance>.Set_Scale Boolean default:true

When set to True, the Scale value will be applied.

    <Shape_Instance>.Scale_Value Float default:100 --percentage

Specifies a uniform scaling factor for all particles. Range is from 0 to 100000.

    <Shape_Instance>.Variation Float default:0.0 --percentage

Specifies a randomized percentage of scaling variation. Use the Uniqueness setting to change the randomization. Range is from 0 to 100.

    <Shape_Instance>.Acquire_Mapping Boolean default:true

When set to True, all mapping data from the reference object is transferred to particles.

    <Shape_Instance>.Acquire_Material Boolean default:true

When set to True, material data from the reference object is transferred to particles.

    <Shape_Instance>.Random_Shape Boolean default:false

When set to True, assigns shapes to particles in random order.

When set to False, Particle Flow emits each shape in the multi-shape object as a single particle, in the order of the shape's X coordinate.

In other words, the shape with the lowest X-axis coordinate is emitted first, then the one with the next highest, and so on.

The option is used only if at least one of the following is set to True: .Group_Members, .Object_And_Children, .Object_Elements

    <Shape_Instance>.Animated_Shape Boolean default:false

When set to True, particles use any animation in the reference object, including cyclic animation applied with the Parameter Curve Out-of-Range Types controls.

When False, the particles are not animated.

    <Shape_Instance>.Acquire_Shape Boolean default:false

When set to True, Particle Flow acquires the particle shape from the reference object as each particle enters the event.

Thus, if the reference object is animated, particles that enter at different times get different shapes. However, these shapes are not animated.

When set to False, the shape is acquired from frame 0.

NoteThis option is available only when Animated Shape is off.

    <Shape_Instance>.Sync_Type Integer default:0

Lets you choose how to synchronize reference-object animation with the particles.

0: Absolute Time (default) - all particles have the same shape at any given time moment.

1: Particle Age - Animation of the reference object is synchronized with particle age: Frame 0 of the reference-object animation corresponds to the frame of each particle's birth.

2: Event Start - Frame 0 of the reference-object animation corresponds to the moment the particle enters the event.

    <Shape_Instance>.Add_Random_Offset Boolean default:false

When set to True, randomly varies the start of each particle's animation. Use the numeric setting to specify the number of frames by which the animation start can vary.

    <Shape_Instance>.Random_Offset Integer default:4800

When set to True, randomly varies the start of each particle's animation. Use the numeric setting to specify the number of frames by which the animation start can vary.

    <Shape_Instance>.Random_Seed Integer default:12345

Specifies a randomization value.

## Shape_Instance Interfaces:

The following Interfaces are exposed by the Shape_Instance Class:

Interface: action

Interface: operator

Interface: PViewItem

#### See Also

- Shape_Facing : Helper

- Shape_Mark : Helper

- Particle Flow Classes